libzypp 17.37.10

linuxhelpers.cc File Reference
`#include "private/linuxhelpers_p.h"`
`#include <zypp-core/zyppng/io/SockAddr>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <pthread.h>`
`#include <csignal>`
`#include <iostream>`
`#include <unistd.h>`
`#include <sys/ioctl.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng

## Functions
bool | zyppng::blockAllSignalsForCurrentThread ()
bool | zyppng::blockSignalsForCurrentThread (const std::vector< int > &sigs)
bool | zyppng::trySocketConnection (int &sockFD, const SockAddr &addr, uint64_t timeout)
void | zyppng::renumberFd (int origfd, int newfd)
int64_t | zyppng::bytesAvailableOnFD (int fd)